Summary: The GNU binutils development utilities
Name: binutils
Version: 2.28
Release: 1
Copyright: GPL
Group: Development/Tools
URL: http://www.gnu.org/software/binutils/
Source0: http://ftp.gnu.org/gnu/binutls/%{name}-%{version}.tar.bz2
Source1: http://ftp.gnu.org/gnu/binutls/%{name}-%{version}.tar.bz2.sig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gettext
BuildRequires: gcc >= 4.5.4-1
BuildRequires: zlib-devel >= 1.2.3-7
Prereq: info, /sbin/install-info
Requires: gettext
Requires: zlib >= 1.2.3-7

%description
GNU binutils package contains utilities useful for development during
compilation.  Utilities such as nm, ar, elfdump, size, and others are included.


%prep
%setup -q


%build
export CC="gcc -D_LARGE_FILES"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"

./configure \
    --prefix=%{_prefix} \
    --disable-werror

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install prefix=${RPM_BUILD_ROOT}%{_prefix}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mv -f ${RPM_BUILD_ROOT}%{_datadir}/man  ${RPM_BUILD_ROOT}%{_prefix}
mv -f ${RPM_BUILD_ROOT}%{_datadir}/info ${RPM_BUILD_ROOT}%{_prefix}

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/*

# The "ld" command is renamed to "gld".  For proper linking, please
# use the native AIX ld command, /usr/bin/ld.
# The "strip" command is not functioning correctly in all cases, so
# it has been renamed to "gstrip".  We strongly recommend the use
# of the native AIX strip command, /usr/bin/strip.
# Ditto for ranlib & as.
cd ${RPM_BUILD_ROOT}%{_bindir}
mv ld gld
mv strip gstrip
mv ranlib granlib
mv as gas
chmod 444 gld gstrip granlib gas

# create links into /usr/bin and /usr/linux/bin
(
  cd ${RPM_BUILD_ROOT}
  mkdir -p usr/bin
  cd usr/bin
  for f in addr2line objcopy objdump readelf
  do
    ln -sf ../..%{_bindir}/${f} .
  done

  cd -
  mkdir -p usr/linux/bin
  cd usr/linux/bin
  for f in c++filt nm size strings
  do
    ln -sf ../../..%{_bindir}/${f} .
  done

  cd -
  mkdir -p usr/lib
  cd usr/lib
  ln -sf ../..%{_libdir}/* .
)


%post
/sbin/install-info %{_infodir}/as.info.gz        %{_infodir}/dir || :
/sbin/install-info %{_infodir}/bfd.info.gz       %{_infodir}/dir || :
/sbin/install-info %{_infodir}/binutils.info.gz  %{_infodir}/dir || :
/sbin/install-info %{_infodir}/configure.info.gz %{_infodir}/dir || :
/sbin/install-info %{_infodir}/standards.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ] ; then
 /sbin/install-info --delete %{_infodir}/as.info.gz        %{_infodir}/dir || :
 /sbin/install-info --delete %{_infodir}/bfd.info.gz       %{_infodir}/dir || :
 /sbin/install-info --delete %{_infodir}/binutils.info.gz  %{_infodir}/dir || :
 /sbin/install-info --delete %{_infodir}/configure.info.gz %{_infodir}/dir || :
 /sbin/install-info --delete %{_infodir}/standards.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING COPYING.LIB binutils/README binutils/NEWS
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man1/*
%{_datadir}/locale/*/*/*
%{_includedir}/*
%{_infodir}/*
/usr/bin/*
/usr/linux/bin/*


%changelog
* Thu Mar 02 2017 Michael Perzl <michael@perzl.org> - 2.28-1
- updated to version 2.28

* Thu Aug 04 2016 Michael Perzl <michael@perzl.org> - 2.27-1
- updated to version 2.27

* Thu Jun 30 2016 Michael Perzl <michael@perzl.org> - 2.26.1-1
- updated to version 2.26.1

* Tue Jan 26 2016 Michael Perzl <michael@perzl.org> - 2.26-1
- updated to version 2.26

* Wed Jul 22 2015 Michael Perzl <michael@perzl.org> - 2.25.1-1
- updated to version 2.25.1

* Wed Jan 21 2015 Michael Perzl <michael@perzl.org> - 2.25-1
- updated to version 2.25

* Mon Dec 02 2013 Michael Perzl <michael@perzl.org> - 2.24-1
- updated to version 2.24

* Wed Mar 27 2013 Michael Perzl <michael@perzl.org> - 2.23.2-1
- updated to version 2.23.2

* Wed Mar 27 2013 Michael Perzl <michael@perzl.org> - 2.22-1
- first version for AIX V5.1 and higher
- based on the original SPEC file from IBM
